Skip to main content

SecurityInfo

Struct SecurityInfo 

Source
pub struct SecurityInfo {
Show 18 fields pub symbol: String, pub shortname: Option<String>, pub description: Option<String>, pub exchange: String, pub market: Option<String>, pub kind: Option<String>, pub lot_size: Option<Decimal>, pub face_value: Option<Decimal>, pub cfi_code: Option<String>, pub cancellation: Option<String>, pub min_step: Option<Decimal>, pub price_step: Option<Decimal>, pub currency: Option<String>, pub isin: Option<String>, pub board: Option<String>, pub primary_board: Option<String>, pub trading_status: Option<i32>, pub trading_status_info: Option<String>,
}
Expand description

An instrument: the answer of GET /md/v2/Securities/{exchange}/{symbol} and an item of the list GET /md/v2/Securities.

Fields§

§symbol: String

The ticker.

§shortname: Option<String>

Short name.

§description: Option<String>

Description in Russian.

§exchange: String

MOEX or SPBX.

§market: Option<String>

The market: FORTS, FOND, CURR or SPBX.

§kind: Option<String>

The type of the instrument (CS shares, EUSOV federal bonds, … for MOEX).

§lot_size: Option<Decimal>

Lot size in pieces.

§face_value: Option<Decimal>

Face value (shares, bonds), contract size (futures), or the amount a quotation is given for (currency).

§cfi_code: Option<String>

ISO 10962 code of the type.

§cancellation: Option<String>

Expiry date of a derivative.

§min_step: Option<Decimal>

The price step.

§price_step: Option<Decimal>

The price step in roubles (the value of one step).

§currency: Option<String>

The currency of the price.

§isin: Option<String>

ISIN.

§board: Option<String>

The trading mode (board) of this entry.

§primary_board: Option<String>

The main trading mode of the instrument.

§trading_status: Option<i32>

The trading status code: 17 normal period, 18 closed, 2 break, …

§trading_status_info: Option<String>

The trading status as text.

Trait Implementations§

Source§

impl Clone for SecurityInfo

Source§

fn clone(&self) -> SecurityInfo

Returns a duplicate of the value. Read more
1.0.0 (const: unstable) · Source§

fn clone_from(&mut self, source: &Self)

Performs copy-assignment from source. Read more
Source§

impl Debug for SecurityInfo

Source§

fn fmt(&self, f: &mut Formatter<'_>) -> Result

Formats the value using the given formatter. Read more
Source§

impl Default for SecurityInfo

Source§

fn default() -> SecurityInfo

Returns the “default value” for a type. Read more
Source§

impl<'de> Deserialize<'de> for SecurityInfo

Source§

fn deserialize<__D>(__deserializer: __D) -> Result<Self, __D::Error>
where __D: Deserializer<'de>,

Deserialize this value from the given Serde deserializer. Read more
Source§

impl Serialize for SecurityInfo

Source§

fn serialize<__S>(&self, __serializer: __S) -> Result<__S::Ok, __S::Error>
where __S: Serializer,

Serialize this value into the given Serde serializer. Read more

Auto Trait Implementations§

Blanket Implementations§

Source§

impl<T> Any for T
where T: 'static + ?Sized,

Source§

fn type_id(&self) -> TypeId

Gets the TypeId of self. Read more
Source§

impl<T> Borrow<T> for T
where T: ?Sized,

Source§

fn borrow(&self) -> &T

Immutably borrows from an owned value. Read more
Source§

impl<T> BorrowMut<T> for T
where T: ?Sized,

Source§

fn borrow_mut(&mut self) -> &mut T

Mutably borrows from an owned value. Read more
§

impl<ST, DT> CastableFrom<ST, Initialized, Initialized> for DT
where ST: ?Sized, DT: ?Sized,

§

impl<ST, DT> CastableFrom<ST, Uninit, Uninit> for DT
where ST: ?Sized, DT: ?Sized,

Source§

impl<T> CloneToUninit for T
where T: Clone,

Source§

unsafe fn clone_to_uninit(&self, dest: *mut u8)

🔬This is a nightly-only experimental API. (clone_to_uninit)
Performs copy-assignment from self to dest. Read more
Source§

impl<T> DeserializeOwned for T
where T: for<'de> Deserialize<'de>,

Source§

impl<T> From<T> for T

Source§

fn from(t: T) -> T

Returns the argument unchanged.

§

impl<T> Instrument for T

§

fn instrument(self, span: Span) -> Instrumented<Self>

Instruments this type with the provided [Span], returning an Instrumented wrapper. Read more
§

fn in_current_span(self) -> Instrumented<Self>

Instruments this type with the current Span, returning an Instrumented wrapper. Read more
Source§

impl<T, U> Into<U> for T
where U: From<T>,

Source§

fn into(self) -> U

Calls U::from(self).

That is, this conversion is whatever the implementation of From<T> for U chooses to do.

§

impl<T> PolicyExt for T
where T: ?Sized,

§

fn and<P, B, E>(self, other: P) -> And<T, P>
where T: Sized + Policy<B, E>, P: Policy<B, E>,

Create a new Policy that returns [Action::Follow] only if self and other return Action::Follow. Read more
§

fn or<P, B, E>(self, other: P) -> Or<T, P>
where T: Sized + Policy<B, E>, P: Policy<B, E>,

Create a new Policy that returns [Action::Follow] if either self or other returns Action::Follow. Read more
§

impl<T> Read<Exclusive, BecauseExclusive> for T
where T: ?Sized,

Source§

impl<T> Same for T

Source§

type Output = T

Should always be Self
Source§

impl<T> ToOwned for T
where T: Clone,

Source§

type Owned = T

The resulting type after obtaining ownership.
Source§

fn to_owned(&self) -> T

Creates owned data from borrowed data, usually by cloning. Read more
Source§

fn clone_into(&self, target: &mut T)

Uses borrowed data to replace owned data, usually by cloning. Read more
Source§

impl<T, U> TryFrom<U> for T
where U: Into<T>,

Source§

type Error = Infallible

The type returned in the event of a conversion error.
Source§

fn try_from(value: U) -> Result<T, <T as TryFrom<U>>::Error>

Performs the conversion.
Source§

impl<T, U> TryInto<U> for T
where U: TryFrom<T>,

Source§

type Error = <U as TryFrom<T>>::Error

The type returned in the event of a conversion error.
Source§

fn try_into(self) -> Result<U, <U as TryFrom<T>>::Error>

Performs the conversion.
§

impl<V, T> VZip<V> for T
where V: MultiLane<T>,

§

fn vzip(self) -> V

§

impl<T> WithSubscriber for T

§

fn with_subscriber<S>(self, subscriber: S) -> WithDispatch<Self>
where S: Into<Dispatch>,

Attaches the provided Subscriber to this type, returning a [WithDispatch] wrapper. Read more
§

fn with_current_subscriber(self) -> WithDispatch<Self>

Attaches the current default Subscriber to this type, returning a [WithDispatch] wrapper. Read more